﻿Imports Microsoft.StylusInput

Public Class AsyncPlugin1
    Implements Microsoft.StylusInput.IStylusAsyncPlugin

    Public ReadOnly Property DataInterest() As Microsoft.StylusInput.DataInterestMask Implements Microsoft.StylusInput.IStylusAsyncPlugin.DataInterest
        Get
            Return DataInterestMask.AllStylusData
        End Get
    End Property

    Public Sub CustomStylusDataAdded(ByVal sender As Microsoft.StylusInput.RealTimeStylus, ByVal data As Microsoft.StylusInput.PluginData.CustomStylusData) Implements Microsoft.StylusInput.IStylusAsyncPlugin.CustomStylusDataAdded
        Debug.Print(Now & " CustomStylusDataAdded(Async)")
    End Sub

    Public Sub [Error](ByVal sender As Microsoft.StylusInput.RealTimeStylus, ByVal data As Microsoft.StylusInput.PluginData.ErrorData) Implements Microsoft.StylusInput.IStylusAsyncPlugin.Error
        Debug.Print(Now & " Error(Async)")
    End Sub

    Public Sub InAirPackets(ByVal sender As Microsoft.StylusInput.RealTimeStylus, ByVal data As Microsoft.StylusInput.PluginData.InAirPacketsData) Implements Microsoft.StylusInput.IStylusAsyncPlugin.InAirPackets
        'Debug.Print(Now & " InAirPackets(Async)")
    End Sub

    Public Sub Packets(ByVal sender As Microsoft.StylusInput.RealTimeStylus, ByVal data As Microsoft.StylusInput.PluginData.PacketsData) Implements Microsoft.StylusInput.IStylusAsyncPlugin.Packets
        'Debug.Print(Now & " Packets(Async)")
    End Sub

    Public Sub RealTimeStylusDisabled(ByVal sender As Microsoft.StylusInput.RealTimeStylus, ByVal data As Microsoft.StylusInput.PluginData.RealTimeStylusDisabledData) Implements Microsoft.StylusInput.IStylusAsyncPlugin.RealTimeStylusDisabled
        Debug.Print(Now & " RealTimeStylusDisabled(Async)")
    End Sub

    Public Sub RealTimeStylusEnabled(ByVal sender As Microsoft.StylusInput.RealTimeStylus, ByVal data As Microsoft.StylusInput.PluginData.RealTimeStylusEnabledData) Implements Microsoft.StylusInput.IStylusAsyncPlugin.RealTimeStylusEnabled
        Debug.Print(Now & " RealTimeStylusEnabled(Async)")
    End Sub

    Public Sub StylusButtonDown(ByVal sender As Microsoft.StylusInput.RealTimeStylus, ByVal data As Microsoft.StylusInput.PluginData.StylusButtonDownData) Implements Microsoft.StylusInput.IStylusAsyncPlugin.StylusButtonDown
        Debug.Print(Now & " StylusButtonDown(Async)")
    End Sub

    Public Sub StylusButtonUp(ByVal sender As Microsoft.StylusInput.RealTimeStylus, ByVal data As Microsoft.StylusInput.PluginData.StylusButtonUpData) Implements Microsoft.StylusInput.IStylusAsyncPlugin.StylusButtonUp
        Debug.Print(Now & " StylusButtonUp(Async)")
    End Sub

    Public Sub StylusDown(ByVal sender As Microsoft.StylusInput.RealTimeStylus, ByVal data As Microsoft.StylusInput.PluginData.StylusDownData) Implements Microsoft.StylusInput.IStylusAsyncPlugin.StylusDown
        Debug.Print(Now & " StylusDown(Async)")
    End Sub

    Public Sub StylusUp(ByVal sender As Microsoft.StylusInput.RealTimeStylus, ByVal data As Microsoft.StylusInput.PluginData.StylusUpData) Implements Microsoft.StylusInput.IStylusAsyncPlugin.StylusUp
        Debug.Print(Now & " StylusUp(Async)")
    End Sub

    Public Sub StylusInRange(ByVal sender As Microsoft.StylusInput.RealTimeStylus, ByVal data As Microsoft.StylusInput.PluginData.StylusInRangeData) Implements Microsoft.StylusInput.IStylusAsyncPlugin.StylusInRange
        Debug.Print(Now & " StylusInRange(Async)")
    End Sub

    Public Sub StylusOutOfRange(ByVal sender As Microsoft.StylusInput.RealTimeStylus, ByVal data As Microsoft.StylusInput.PluginData.StylusOutOfRangeData) Implements Microsoft.StylusInput.IStylusAsyncPlugin.StylusOutOfRange
        Debug.Print(Now & " StylusOutOfRange(Async)")
    End Sub

    Public Sub SystemGesture(ByVal sender As Microsoft.StylusInput.RealTimeStylus, ByVal data As Microsoft.StylusInput.PluginData.SystemGestureData) Implements Microsoft.StylusInput.IStylusAsyncPlugin.SystemGesture
        Debug.Print(Now & " SystemGesture(Async)")
    End Sub

    Public Sub TabletAdded(ByVal sender As Microsoft.StylusInput.RealTimeStylus, ByVal data As Microsoft.StylusInput.PluginData.TabletAddedData) Implements Microsoft.StylusInput.IStylusAsyncPlugin.TabletAdded
        Debug.Print(Now & " TabletAdded(Async)")
    End Sub

    Public Sub TabletRemoved(ByVal sender As Microsoft.StylusInput.RealTimeStylus, ByVal data As Microsoft.StylusInput.PluginData.TabletRemovedData) Implements Microsoft.StylusInput.IStylusAsyncPlugin.TabletRemoved
        Debug.Print(Now & " TabletRemoved(Async)")
    End Sub
End Class
